UMIDI(4)

NAME
umidi - USB MIDI devices

SYNOPSIS
umidi* at uhub?
midi* at umidi?

DESCRIPTION
The umidi driver supports USB MIDI devices that follow the USB MIDI standard. It also supports the following vendor specific devices:

Roland UM1
Yamaha UX256
Yamaha UX96
other Yamaha MIDI devices (hopefully)

The umidi driver is accessible through the midi(4) driver.

SEE ALSO
midi(4), uhub(4), usb(4)

HISTORY
The umidi driver appeared in OpenBSD 3.2.

CAVEATS
Some USB MIDI devices provide a switch for selecting between a vendor specific mode and standard USB MIDI mode. Selecting standard USB MIDI mode may allow a device to attach as umidi rather than ugen(4). This is particularly true for Roland branded devices.